Listar execuções da automação
curl --request GET \
--url https://api.olie.ai/api/management/automations/{automation}/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/automations/{automation}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/automations/{automation}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"logs": [
{
"automation_id": 1,
"causer_id": "01a0252b-d7a0-7242-9420-bacbd51f678b",
"log": {
"run_id": "a2c1007d-84f5-4384-a9f3-691449f453de",
"trigger_event": "project_content_added_trigger",
"flow_components": [
{
"automation_id": 1,
"type": "trigger",
"variant": "project_content_added_trigger",
"parent_id": null,
"conditional_case": null,
"order": 0,
"project_scope": null,
"project_scope_saved_filter_id": null,
"created_at": "2026-08-27T19:58:43.000000Z",
"updated_at": "2026-08-27T20:04:56.000000Z",
"deleted_at": null,
"configs": [
{
"automation_component_id": "01a044cd-a69a-7383-9638-06b317ca1fbf",
"key": "author",
"value": null,
"created_at": "2026-08-27T19:58:43.000000Z",
"updated_at": "2026-08-27T19:58:43.000000Z",
"deleted_at": null,
"id": "01a044cd-a6b5-72bb-8395-36ce4e4527a8"
},
{
"automation_component_id": "01a044cd-a69a-7383-9638-06b317ca1fbf",
"key": "channel_scope",
"value": null,
"created_at": "2026-08-27T19:58:43.000000Z",
"updated_at": "2026-08-27T19:58:43.000000Z",
"deleted_at": null,
"id": "01a044cd-a6ac-7164-9822-71ebdafe9302"
}
],
"relations": [],
"children": [],
"id": "01a044cd-a69a-7383-9638-06b317ca1fbf"
},
{
"automation_id": 1,
"type": "action",
"variant": "project_content_add_action",
"parent_id": null,
"conditional_case": null,
"order": 1,
"project_scope": null,
"project_scope_saved_filter_id": null,
"created_at": "2026-08-27T19:58:43.000000Z",
"updated_at": "2026-08-27T20:04:56.000000Z",
"deleted_at": null,
"configs": [
{
"automation_component_id": "01a044cd-a6bd-7319-bee3-cdc21c6653ce",
"key": "destination_mode",
"value": "main",
"created_at": "2026-08-27T19:58:43.000000Z",
"updated_at": "2026-08-27T19:58:43.000000Z",
"deleted_at": null,
"id": "01a044cd-a6c0-733e-b287-b6f108b90c19"
},
{
"automation_component_id": "01a044cd-a6bd-7319-bee3-cdc21c6653ce",
"key": "message",
"value": "Recebemos sua mensagem: {{trigger.contents_text}}",
"created_at": "2026-08-27T19:58:43.000000Z",
"updated_at": "2026-08-27T20:04:56.000000Z",
"deleted_at": null,
"id": "01a044cd-a6bf-709a-842c-90c583c22819"
}
],
"relations": [],
"children": [],
"id": "01a044cd-a6bd-7319-bee3-cdc21c6653ce"
}
],
"date": "2026-09-15 15:50:06",
"error": {
"has_error": false,
"message": null,
"error_class": null
},
"data": {
"trigger_variant": "project_content_added_trigger",
"project_id": "01a0a667-290b-7212-89fb-52351af09ce6",
"causer_type": "user",
"causer_id": "01a0252b-d7a0-7242-9420-bacbd51f678b",
"media_id": "01a0a667-5b3e-724c-aeda-7ab3accade26",
"channel_id": null,
"integration_id": null,
"channel_scope": "main",
"author": "team",
"contents_text": "Olá, gostaria de um orçamento.",
"contents": [
{
"text": "Olá, gostaria de um orçamento.",
"author": "team",
"created_at": "2026-09-15T15:49:46-03:00",
"id": "01a0a667-5b3e-724c-aeda-7ab3accade26"
}
]
},
"causer_type": "user",
"causer_id": "01a0252b-d7a0-7242-9420-bacbd51f678b",
"flow_logs": [
{
"component_id": "01a044cd-a6bd-7319-bee3-cdc21c6653ce",
"component_variant": "project_content_add_action",
"component_type": "action",
"component_result": {
"result": true,
"error": null,
"message": null,
"execution_time": 0.08676004409790039,
"extra_data": {
"medias": [
"01a0a667-a7f7-730d-85de-e366e60fcff9"
],
"universe_size": 1,
"truncated": false
}
},
"project_id": "01a0a667-290b-7212-89fb-52351af09ce6"
}
],
"final_context": {
"user": {
"name": null,
"email": null,
"id": null
},
"trigger": {
"trigger_variant": "project_content_added_trigger",
"project_id": "01a0a667-290b-7212-89fb-52351af09ce6",
"causer_type": "user",
"causer_id": "01a0252b-d7a0-7242-9420-bacbd51f678b",
"media_id": "01a0a667-5b3e-724c-aeda-7ab3accade26",
"channel_id": null,
"integration_id": null,
"channel_scope": "main",
"author": "team",
"contents_text": "Olá, gostaria de um orçamento.",
"contents": [
{
"text": "Olá, gostaria de um orçamento.",
"author": "team",
"created_at": "2026-09-15T15:49:46-03:00",
"id": "01a0a667-5b3e-724c-aeda-7ab3accade26"
}
]
},
"project": {
"id": "01a0a667-290b-7212-89fb-52351af09ce6",
"code": "CR-1",
"name": "Atendimento - Loja Centro",
"description": "Criação rápida",
"impact": 10,
"status": 1,
"frame_id": "01a0252b-d865-71af-a0a2-d4e168d1ffe5",
"created_at": "2026-09-15T18:49:33.000000Z",
"updated_at": "2026-09-15T18:49:33.000000Z"
},
"component_01a044cd-a6bd-7319-bee3-cdc21c6653ce": {
"universe_metadata": {
"universe_size": 1,
"truncated": false
},
"results": [
{
"project_id": "01a0a667-290b-7212-89fb-52351af09ce6",
"result": true,
"error": null,
"message": null,
"execution_time": 0.08676004409790039,
"extra_data": {
"medias": [
"01a0a667-a7f7-730d-85de-e366e60fcff9"
],
"universe_size": 1,
"truncated": false
}
}
]
},
"component_01a044cd-a6bd-7319-bee3-cdc21c6653ce_result": {
"result": true,
"error": null,
"message": null,
"execution_time": 0.08676004409790039,
"extra_data": {
"medias": [
"01a0a667-a7f7-730d-85de-e366e60fcff9"
],
"universe_size": 1,
"truncated": false
}
}
},
"total_time": 0.10580110549926758
},
"updated_at": "2026-09-15T18:50:06.251000Z",
"created_at": "2026-09-15T18:50:06.251000Z",
"id": "a2c1007d-84f5-4384-a9f3-691449f453de"
}
]
}{
"response": false,
"message": "automation_model_not_found",
"error": "No query results for model [App\\Models\\Automate\\Automation]."
}automations
Listar execuções da automação
Retorna as 20 execuções mais recentes da automação, da mais nova para a mais antiga, com o evento que disparou, o resultado de cada componente e o contexto final. Como ler cada campo em Logs e depuração.
GET
/
api
/
management
/
automations
/
{automation}
/
logs
Listar execuções da automação
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID (número) da automação.
Was this page helpful?